-------
-- Lotke - Volterra model for predator-prey models
--- 

function initialConditions (rwmodel, wolves, rabbits)
		rwmodel.stocks.wolves  = wolves
		rwmodel.stocks.rabbits = rabbits
end 

-------------------

function changes (rwmodel)

	rwmodel.stocks.rabbits = rwmodel.stocks.rabbits 
						   + rwmodel.params.preyGrowth*rwmodel.stocks.rabbits
						   - rwmodel.params.preyDeathByPred*rwmodel.stocks.rabbits*rwmodel.stocks.wolves

	rwmodel.stocks.wolves = rwmodel.stocks.wolves
						  - rwmodel.params.predDeath*rwmodel.stocks.wolves
						  + rwmodel.params.predGrowthByKills*rwmodel.stocks.rabbits*rwmodel.stocks.wolves					 

end

-----------
function OscillationModel(rwmodel)
	return rwmodel
end
---------
rwmodel =  OscillationModel {
	stocks        = { wolves = 80, rabbits = 1000 },
	params        = { preyGrowth = 0.08, 
					  preyDeathByPred = 0.001, 
					  predDeath = 0.02, 
					  predGrowthByKills = 0.00002
	              	}
}


